Bug 334171 - check of rootfs is already mounted rw is insufficient
check of rootfs is already mounted rw is insufficient
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts (Show other bugs)
5.1
All Linux
low Severity medium
: ---
: ---
Assigned To: initscripts Maintenance Team
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-16 08:36 EDT by Mark Hlawatschek
Modified: 2008-05-21 13:23 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0443
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:23:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for this (1.10 KB, patch)
2008-01-10 15:49 EST, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Mark Hlawatschek 2007-10-16 08:36:50 EDT
Description of problem:
During the bootprocess, the root filesystem will be remounted rw if it's not 
already. The check that us done here for this is insufficient.

In /etc/rc.sysinit:
    700 state=`LC_ALL=C awk '/ \/ / && ($3 !~ /rootfs/) { print 
$4 }' /proc/mounts`
    701 [ "$state" != "rw" -a "$READONLY" != "yes" ] && \
    702   action $"Remounting root filesystem in read-write mode: " 
mount -n -o remount,rw /

state may be rw,option1,option2 here

Version-Release number of selected component (if applicable):
initscripts-8.45.17.EL-1

How reproducible:
Always

Steps to Reproduce:
1. mount rootfs rw togehter with other options (e.g. noatime)
2. boot system
3.
  
Actual results:
rootfs will be remounted rw  

Expected results:
rootfs should not be remounted rw as it already is mounted rw

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-16 12:35:23 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Bill Nottingham 2008-01-10 15:49:52 EST
Created attachment 291330 [details]
patch for this

Here's what's going in CVS.
Comment 6 Mark Hlawatschek 2008-02-14 04:30:47 EST
I just tested the new rpms.
The proposed patch and new rpms seem to fix the problem.
Thank you very much.

Mark
Comment 9 errata-xmlrpc 2008-05-21 13:23:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0443.html

Note You need to log in before you can comment on or make changes to this bug.